PR(1)

NUME
pr - convertește fișiere text pentru imprimare

SINOPSIS
pr [OPȚIUNE]... [FIȘIER]...

DESCRIERE

Transformă fișierele date în pagini sau coloane pentru imprimare.

Fără FIȘIER, sau când FIȘIER este „-”, citește intrarea standard.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

+PRIMA_PAGINĂ[:ULTIMA_PAGINĂ], --pages=PRIMA_PAGINĂ[:ULTIMA_PAGINĂ]
    începe [termină] imprimarea cu PRIMA_[ULTIMA_]PAGINĂ

-COLUMN, --columns=COLOANE
    utilizează acest număr de COLOANE și imprimă vertical, dacă nu este dată opțiunea -a; păstrează același număr de rânduri pe coloană pentru fiecare pagină

-a, --across
    imprimă coloanele pe orizontală în loc de pe verticală, utilizată împreună cu -COLUMN

-c, --show-control-chars
    afișează caracterele de control cu accentul circumflex (^G) și secvențele de eludare octale
                        spațiere dublă la afișare

-d, --double-space
    spațiere dublă la afișare/imprimare

-D, --date-format=FORMAT
    utilizează FORMATUL pentru data antetului

-e[CARACTER[LĂȚIME]], --expand-tabs[=CARACTER[LĂȚIME]]
    expandează CARACTERELE (implicit, tabulatoare) la o LĂȚIME a tabulatorului de (implicit 8) spații

-F, -f, --form-feed
    utilizează saltul de pagină în loc de linie nouă, pentru a separa paginile (3 linii pentru antetul paginii cu -F sau 5 linii pentru antet și notele de subsol fără -F)

-h, --header=TITLU
    utilizează un TITLU centrat în loc de numele fișierului în antetul paginii, -h "" imprimă o linie goală, nu utilizați -h""

-i[CARACTER[LĂȚIME]], --outputtabs[=CARACTER[LĂȚIME]]
    înlocuiește spațiile cu CARACTERE (implicit, tabulatoare) la o LĂȚIME a tabulatorului de (implicit, 8 spații)

-J, --join-lines
    îmbină linii întregi, dezactivează trunchierea liniilor -W, fără alinierea coloanelor, --sep-string[=ȘIR] stabilește separatorii

-l, --length=LUNGIME_PAGINĂ
    stabilește lungimea paginii la LUNGIME_PAGINĂ (66) linii (numărul implicit de linii de text 56, iar cu -F 63). implică -t dacă LUNGIME_PAGINĂ <= 10

-m, --merge
    imprimă toate fișierele unul lîngă altul, fiecare într-o coloană, trunchiază liniile lungi, cu excepția cazului în care este dată opțiunea -J

-n[SEPARATOR[CIFRE]], --number-lines[=SEPARATOR[CIFRE]]
    numerotează liniile, utilizează CIFRE (5) cifre, apoi SEPARATOR (implicit, tabulator), în mod implicit, numerotarea începe cu prima linie a fișierului de intrare

-N, --first-line-number=NUMĂR
    începe numerotarea cu NUMĂR la prima linie din prima pagină afișată (a se vedea +PRIMA_PAGINĂ)

-o, --indent=MARGINE
    decalează fiecare linie cu MARGINE (zero) spații, nu afectează opțiunile -w sau -W, MARGINE va fi adăugată la LĂȚIME_PAGINĂ

-r, --no-file-warnings
    omite avertismentele când un fișier nu poate fi deschis

-s[CARACTER], --separator[=CARACTER]
    separă coloanele cu un singur caracter, valoarea implicită pentru CARACTER este caracterul <TAB> fără -w și "no char" cu -w. -s[CARACTER] dezactivează trunchierea liniei pentru toate cele 3 opțiuni de coloane (-COLUMN|-a -COLUMN|-m), cu excepția cazului în care -w este folosită

-S[ȘIR], --sep-string[=ȘIR]
    separă coloanele prin ȘIR, fără -S: Separatorul implicit este <TAB> cu -J și <spațiu> în caz contrar (la fel ca -S" "), fără efect asupra opțiunilor de coloană

-t, --omit-header
    omite antetele și notele de pagină; implicită dacă LUNGIMEA_PAGINII <= 10

-T, --omit-pagination
    omite antetele și notele de pagină, elimină orice paginare prin salturi de pagină stabilite în fișierele de intrare

-v, --show-nonprinting
    utilizează notația octală a bării oblice inverse pentru codurile de control

-w, --width=LĂȚIME_PAGINĂ
    stabilește lățimea paginii la LĂȚIME_PAGINĂ (implicit, 72) caractere numai pentru ieșirea pe multiple coloane de text, opțiunea -s[CARACTER] dezactivează lățimea implicită

-W, --page-width=LĂȚIME_PAGINĂ
    stabilește lățimea paginii la LĂȚIME_PAGINĂ (72) caractere întotdeauna, trunchiază liniile, cu excepția cazului în care opțiunea -J este definită, nu interferează cu -S sau -s

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

AUTOR
Scris de Pete TerMaat and Roland Huebner.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

CONSULTAȚI ȘI
Documentația completă este disponibilă la: <https://www.gnu.org/software/coreutils/pr>
sau local rulând comanda: «info '(coreutils) pr invocation'»

Împachetat de Debian (9.7-2)
Drepturi de autor © 2025 Free Software Foundation, Inc.
Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți.
Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.